# File with all the lifecycle constants

# List of valid connection type values as specified by the user
# for 'connectionType' option
WSRP_PRODUCER_CONNECTION = "wsrpProducerConnection"
JPDK_PRODUCER_CONNECTION = "jpdkProducerConnection"
WEBSERVICE_CONNECTION = "webServiceConnection"
EXTERNAL_APPLICATION_CONNECTION = "externalAppConnection"
ANALYTICS_COLLECTOR_CONNECTION = "analyticsCollectorConnection"
DISCUSSION_CONNECTION = "discussionConnection"
IMP_CONNECTION = "impConnection"
MAIL_CONNECTION = "mailConnection"
PERSONAL_EVENT_CONNECTION = "personalEventConnection"
SES_CONNECTION = "sesConnection"
BPEL_CONNECTION = "bpelConnection"
PAGELET_PRODUCER_CONNECTION = "pageletProducerConnection"
WEBCENTER_CONTENTSERVER_CONNECTION = "webcenterContentServerConnection"
FILESYSTEM_CONNECTION = "fileSystemConnection"
PORTAL_CONNECTION = "oraclePortalConnection"
URL_CONNECTION = "urlConnection"

# List of connection types as expected by getWebCenterConnectionNamesByType()
WSRP_CONNECTION_TYPE = "WSRPProducerConnection"
JPDK_CONNECTION_TYPE = "WebProducerConnection"
WEBSERVICE_CONNECTION_TYPE = "WebServiceConnection"
ANALYTICS_CONNECTION_TYPE = "OpenusageConnectionProvider"
DISCUSSION_CONNECTION_TYPE = "ForumConnectionProvider"
IMP_CONNECTION_TYPE = "RtcConnectionProvider"
MAIL_CONNECTION_TYPE = "MailConnectionProvider"
PERSONAL_EVENT_CONNECTION_TYPE = "WebCenterPersonalEventConnectionProvider"
SES_CONNECTION_TYPE = "SesConnectionProvider"
BPEL_CONNECTION_TYPE = "BPEL"
PAGELET_PRODUCER_CONNECTION_TYPE = "EnsembleConnectionProvider"
WEBCENTER_CONTENTSERVER_CONNECTION_TYPE = "StellentConnection"
FILESYSTEM_CONNECTION_TYPE = "FileSystemConnection"
PORTAL_CONNECTION_TYPE = "PortalConnection"
URL_CONNECTION_TYPE = "URLConnProvider"

# List of constants used by the archives
TRANSPORT_ARCHIVE = "transport.mar"

#List of properties used in LifecycleHandler
propertyScopeNames = "scopeNames"
propertyOverwrite = "overwrite"
propertyIncludeCustomizations = "includeCustomizations"
propertyIncludeSecurity = "includeSecurity"
propertyIncludeData = "includeData"
propertyForceOffline = "forceOffline"
propertyParentSpace = "parentSpace"
propertyOverwriteContentDirectory = "overwriteContentDirectory"
propertyOperation = "operation"
propertyIncludeUCMData = "includeUCMData"
operationImportPortal = "importPortals"
propertyBackupSpace = "backupPortal"
propertyIncludePersonalizations = "includePersonalizations"
propertyIncludeActivityMessages = "includeActivityMessages"
