# Copyright (c) 2008, 2012, Oracle and/or its affiliates. All rights reserved. 
import WebCenterWLSTHelper as wlsthelper
wlsthelper.loadHandler('WebCenterWLSTHelper')
wlsthelper.loadHandler('ExtAppHandler')
import ExtAppHandler as extapphandler

def extCheck():
    extapphandler.extCheck()

def getExtAppAttribute(appName,name,stringAttr,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    result=extapphandler.getExtAppAttribute(appName,name,stringAttr,server,applicationVersion)
    webcenterRestore(origDirectory)
    return result

def getExtAppConnections(appName,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    result=extapphandler.getExtAppConnections(appName,server,applicationVersion)
    webcenterRestore(origDirectory)
    return result

def createExtAppConnection(appName,name,displayName='',url='',authMethod='POST',userFieldName='',pwdFieldName='',server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.createExtAppConnection(appName,name,displayName,url,authMethod,userFieldName,pwdFieldName,server,applicationVersion)
    webcenterRestore(origDirectory)

def extAppCreateCommandSetAttributes(appName,connObjName,userArg):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.extAppCreateCommandSetAttributes(appName,connObjName,userArg)
    webcenterRestore(origDirectory)

def extAppSetCommandSetAttributes(appName,connObjName,userArg):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.extAppSetCommandSetAttributes(appName,connObjName,userArg)
    webcenterRestore(origDirectory)

def setExtAppConnection(appName,name,displayName=None,url=None,authMethod=None,userFieldName=None,pwdFieldName=None,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.setExtAppConnection(appName,name,displayName,url,authMethod,userFieldName,pwdFieldName,server,applicationVersion)
    webcenterRestore(origDirectory)

def listExtAppConnections(appName,verbose=0,name='',server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.listExtAppConnections(appName,verbose,name,server,applicationVersion)
    webcenterRestore(origDirectory)

def addExtAppField(appName,name,fieldName,fieldValue='',displayToUser=0,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.addExtAppField(appName,name,fieldName,fieldValue,displayToUser,server,applicationVersion)
    webcenterRestore(origDirectory)

def setExtAppField(appName,name,fieldName,fieldValue=None,displayToUser=None,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.setExtAppField(appName,name,fieldName,fieldValue,displayToUser,server,applicationVersion)
    webcenterRestore(origDirectory)

def removeExtAppField(appName,name,fieldName,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.removeExtAppField(appName,name,fieldName,server,applicationVersion)
    webcenterRestore(origDirectory)

def addExtAppCredential(appName,name,type,username,password,field='',server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.addExtAppCredential(appName,name,type,username,password,field,server,applicationVersion)
    webcenterRestore(origDirectory)

def setExtAppCredential(appName,name,type,username=None,password=None,field='',server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.setExtAppCredential(appName,name,type,username,password,field,server,applicationVersion)
    webcenterRestore(origDirectory)

def removeExtAppCredential(appName,name,type,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    extapphandler.removeExtAppCredential(appName,name,type,server,applicationVersion)
    webcenterRestore(origDirectory)
